require 'rails_helper'

RSpec.describe "settings/menu_item_sets/new", type: :view do
  before(:each) do
    assign(:settings_menu_item_set, Settings::MenuItemSet.new(
      :item_set_id => nil,
      :menu_item_id => nil
    ))
  end

  it "renders new settings_menu_item_set form" do
    render

    assert_select "form[action=?][method=?]", settings_menu_item_sets_path, "post" do

      assert_select "input[name=?]", "settings_menu_item_set[item_set_id_id]"

      assert_select "input[name=?]", "settings_menu_item_set[menu_item_id_id]"
    end
  end
end
